Subject: Re: [Bitcoin-development] Bitcoin TX fill-or-kill deterministic behavior

From: Jeff Garzik <[email-masked]>
Date: Thu, 12 Apr 2012 15:26:25 -0400

On Thu, Apr 12, 2012 at 3:19 PM, Alan Reiner <[email-masked]> wrote:
> My one big concern about this that users find a way to exploit this behavior
> for themselves.  If it's too easy for users to create tx they know will get
> stuck and expire, it's no different than letting them cancel their zero-conf
> transactions.  i.e. I pay 0.5 BTC in a store for a candy bar, so I send it
> using a combination of inputs and fees that I know will lead to it being
> stuck and expire.
>
> On the other hand, if such conditions are deterministic enough, it could be
> detected by the recipient and flagged.
>
> It's not a huge deal, but it's something to consider.

Do you have a -specific- concern that you feel may be exploited?

Expiration already occurs at random, as nodes shut down and restart,
log on and log off the network.

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]